Subject: Re: [PATCH v3 1/2] negotiator/default: avoid stack overflow

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Apr 2023 10:38:27 -0700

Derrick Stolee <[email-masked]> writes:

> It is unfortunate that the logic for nw->common_revs is duplicated,
> but I think this is a cleaner approach than other considered
> approaches.

It is subjective and as long as the result works correctly, I am
fine with it ;-).

Thanks.